using System.Reflection;
using BenchMovementModule.Views;

namespace BenchMovementModule
{
    public class BenchMovementModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();
            regionManager.RegisterViewWithRegion("ShellViewManager", typeof(BenchMovementView));
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterForNavigation<BenchMovementView>("BenchMovementView");
        }
    }
}
